import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;

public class Counter extends Actor
{
    private int count = 0;
    private Font font;
    
    public Counter(int c) {
        count = c;
        font = new Font("Tahoma", Font.BOLD, 36);
        setImage(new GreenfootImage(140, 50));
        updateImage();
    }
    
    private void updateImage() {
        getImage().clear();
        getImage().setColor(Color.white);
        getImage().setFont(font);
        getImage().drawString("" + count, 0, getImage().getHeight()-1);
    }   
    
    public void change(int s) {
        count += s;
        if(count > 0 && count % 100000 == 0) {
            ((Board) getWorld()).life(1);
        }
        updateImage();
    }
    
    public int getCount() {
        return count;
    }
}